2008-01-30  Sven Neumann  <sven@gimp.org>

	* Made 2.4.4 release.

2008-01-29  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme.c: Reverted changes that
	prevent a seg fault due to bad syntax in LET*, LET, and LETREC.
	The change enforced R5RS syntax breaking scripts that used bad
	syntax (missing values) when they were updated to GIMP 2.4.

2008-01-28  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/common/lcms.c (lcms_dialog): fixed crash on missing
	profile (bug #512529).
	(lcms_load_profile): fixed error messages.

2008-01-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/gimpressionist/gimp.c: use a tile cache for better
	performance. Addresses bug #512126.

2008-01-24  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/core/gimpimage.c
	* app/core/gimpimage-undo.c: fixed handling of the image undo
	counter for the case where the user has undone the image to a
	state before the last save and then pushes a new undo. Fixes
	bug #509822.

2008-01-23  Martin Nordholts  <martinn@svn.gnome.org>

	Merged from trunk:

	* app/tools/gimprectangleselecttool.c
	(gimp_rect_select_tool_execute): Reset the automatic undo/redo
	mechanism so that commiting pending rectangles with Return
	works (bug #511599).

2008-01-23  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/display/gimpdisplayshell-selection.c: show the selection,
	even if the window is flagged as invisible, but don't start the
	animation. Addresses bug #505758.

2008-01-23  Sven Neumann  <sven@gimp.org>

	* app/dialogs/about-dialog.c (about_dialog_create): use a run-time
	check for the GTK+ version instead of a compile time one.

2008-01-23  Sven Neumann  <sven@gimp.org>

	* plug-ins/imagemap/imap_about.c: check for the GTK+ version and
	adjust the property name accordingly.

2008-01-22  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/core/gimpprojection.c (gimp_projection_idle_render_init):
	decreased the priority of the projection idle renderer to 150,
	halfway between G_PRIORITY_HIGH_IDLE and G_PRIORITY_DEFAULT_IDLE.
	Fixes bug #511214.

2008-01-22  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/paint/gimpbrushcore.c (gimp_brush_core_create_bound_segs):
	smooth the brush mask in order to obtain a simpler boundary.
	Addresses bug #304798.

2008-01-22  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/imagemap/imap_csim.y: increased buffer size. Addresses
	bug #511072.

	* plug-ins/imagemap/imap_csim_parse.[ch]: regenerated.

2008-01-21  Michael Natterer  <mitch@gimp.org>

	Merged from trunk:

	* app/widgets/gimpcolorbar.c (gimp_color_bar_class_init): fix the
	ID of the "histogram-channel" property.

2008-01-18  Bill Skaggs  <weskaggs@primate.ucdavis.edu>

	Merged from trunk:

	* app/base/lut-funcs.c (equalize_lut_fuct): Don't 
	equalize the alpha channel.  Fixes bug #510210.
	
2008-01-15  Michael Natterer  <mitch@gimp.org>

	Merged from trunk:

	* app/tools/gimpimagemaptool.c (gimp_image_map_tool_notify_preview):
	check for image_map_tool->image_map also when the preview is
	switched on, not only when it's switched off.

2008-01-15  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/common/bumpmap.c
	* plug-ins/script-fu/scripts/swirltile.scm: applied patch from
	Ulf-D. Ehlert that catches a potential division by zero in the
	Bumpmap plug-in and adjusts the range of the Depth parameter in
	the Swirl-Tile script (bug #509608).

2008-01-15  Kevin Cozens  <kcozens@cvs.gnome.org>

	Merged from trunk:

	* plug-ins/script-fu/scripts/3d-outline.scm
	* plug-ins/script-fu/scripts/add-bevel.scm
	* plug-ins/script-fu/scripts/burn-in-anim.scm
	* plug-ins/script-fu/scripts/camo.scm
	* plug-ins/script-fu/scripts/circuit.scm
	* plug-ins/script-fu/scripts/clothify.scm
	* plug-ins/script-fu/scripts/coffee.scm
	* plug-ins/script-fu/scripts/contactsheet.scm
	* plug-ins/script-fu/scripts/distress-selection.scm
	* plug-ins/script-fu/scripts/flatland.scm
	* plug-ins/script-fu/scripts/font-map.scm
	* plug-ins/script-fu/scripts/fuzzyborder.scm
	* plug-ins/script-fu/scripts/glossy.scm
	* plug-ins/script-fu/scripts/land.scm
	* plug-ins/script-fu/scripts/lava.scm
	* plug-ins/script-fu/scripts/old-photo.scm
	* plug-ins/script-fu/scripts/predator.scm
	* plug-ins/script-fu/scripts/rendermap.scm
	* plug-ins/script-fu/scripts/ripply-anim.scm
	* plug-ins/script-fu/scripts/script-fu-set-cmap.scm
	* plug-ins/script-fu/scripts/select-to-brush.scm
	* plug-ins/script-fu/scripts/select-to-image.scm
	* plug-ins/script-fu/scripts/select-to-pattern.scm
	* plug-ins/script-fu/scripts/speed-text.scm
	* plug-ins/script-fu/scripts/spinning-globe.scm
	* plug-ins/script-fu/scripts/test-sphere.scm
	* plug-ins/script-fu/scripts/text-circle.scm
	* plug-ins/script-fu/scripts/unsharp-mask.scm
	* plug-ins/script-fu/scripts/xach-effect.scm: Variables in a let
	block must be of the form (variable value) per the R5RS.

2008-01-14  Kevin Cozens  <kcozens@cvs.gnome.org>

	Merged from trunk:

	* plug-ins/script-fu/scripts/script-fu-compat.init: Fixed definition
	of 'prog1' due to recent fixes enforcing R5RS syntax for 'let'.

2008-01-09  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* modules/colorsel_cmyk_lcms.c (colorsel_cmyk_class_init): don't
	abort on errors in lcms.

2008-01-09  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/common/convmatrix.c (convolve_image): round the result
	of the convolution. Fixes bug #508114.

2008-01-06  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/common/convmatrix.c (convolve_image): fixed out-of-bounds
	array access.

2008-01-05  Kevin Cozens  <kcozens@cvs.gnome.org>

	* configure.in: Set default value of jpeg_ok to no. From a patch
	by Hanno Boeck which fixes bug #507572.

2008-01-04  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/config/gimpdisplayconfig.c: changed the default marching ants
	speed to 200.

2008-01-04  Hans Breuer  <hans@breuer.org>

	* app/display/gimpdisplayshell-selection.c :
	marching ants with G_PRIORITY_DEFAULT_IDLE, fixes bug #479875

2008-01-04  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/tools/gimprotatetool.c (rotate_angle_changed): also update
	trans_info[REAL_ANGLE]. Fixes bug #507167.

2007-12-30  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/script-fu/scripts/chip-away.scm: applied another patch
	from Ulf-D. Ehlert for the parameter range (bug #506110).

2007-12-28  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/script-fu/scripts/chip-away.scm: applied patch from
	Ulf-D. Ehlert that fixes the range of the "Chip amount" parameter
	(bug #506110).

2007-12-22  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/core/gimpimage-sample-points.c
	(gimp_image_add_sample_point_at_pos): corrected undo description.

2007-12-22  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* data/palettes/Tango.gpl: removed duplicate entry ("Untitled").

2007-12-21  Sven Neumann  <sven@gimp.org>

	* app/paint/gimpink.c: reverted last change.

2007-12-21  Sven Neumann  <sven@gimp.org>

	* app/paint/gimpink.c (gimp_ink_motion): applied patch from Alexia
	Death that fixes Ink tool speed calculation when using a tablet
	(bug #504711).

2007-12-19  Kevin Cozens  <kcozens@cvs.gnome.org>

	Merged from trunk:

	* plug-ins/script-fu/tinyscheme/scheme.c: Added extra checks to stop
	bad syntax in LET*, LET, and LETREC from causing a segmentation fault
	in Linux. See SourceForge bug #1817986.

2007-12-18  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/common/psd-load.c: applied patch from John Marshall
	that fixes handling of PSD files with blank layer names (bug #504149).

2007-12-18  Bill Skaggs  <weskaggs@primate.ucdavis.edu>

	Merged from trunk:

	* libgimpwidgets/gimpstock.h:  fix typo.

2007-12-16  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.4.4 (interface age 4).

2007-12-16  Sven Neumann  <sven@gimp.org>

	* Made 2.4.3 release.

2007-12-13  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* libgimpbase/gimpenv.c (gimp_toplevel_directory) [Win32]: Use
	the location of the libgimpbase DLL and not that of the main
	executable (which will be the Python interpreter in the case of
	python-fu) to determine the top-level GIMP installation
	folder. (#502506)

2007-12-12  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/base/tile-private.h
        * app/base/tile-swap.c: Move the LARGE_SEEK and LARGE_TRUNCATE
        macros from tile-private.h to tile-swap.c as they aren't used
        anywhere else, and the helper function used on Windows was static
        in tile-swap.c anyway. (#503124)

2007-12-11  Kevin Cozens  <kcozens@cvs.gnome.org>

	Merged from trunk:

	* plug-ins/script-fu/tinyscheme/scheme.c (get_consecutive_cells):
	Fix to prevent reporting out of memory when there should be plenty
	of cells still available. See SourceForge bug #1794369.

2007-12-11  Kevin Cozens  <kcozens@cvs.gnome.org>

	Merged from trunk:

	* plug-ins/script-fu/tinyscheme/scheme.c: Applied changes from
	official version of TinyScheme which fix is_integer(). See
	SourceForge bug #1593861.

2007-12-11  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* libgimpbase/gimpwire.c (_gimp_read_read_string): NULL-terminate
	all strings coming in over the wire protocol. Should help with bug
	#498207.

2007-12-10  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_tool_events): if a device change happens, make
	sure we update the new active tool's focus display and modifier
	state. Fixes most of bug #493176.

2007-12-10  Bill Skaggs  <weskaggs@primate.ucdavis.edu>

	Merged from trunk:

	* app/paint/gimpheal.c: make the healing brush work properly
	when dragged.  Fixes bug #492575.

2007-12-07  Bill Skaggs  <weskaggs@primate.ucdavis.edu>

	Merged from trunk:

	* app/display/gimpdisplayshell-draw.c: draw grid correctly when
	non-integer spacing is combined with a large offset.  Fixes
	bug #502374.

	* app/core/gimpimage-snap.c: make snapping to grid work when
	coord is less than the grid offset.

2007-12-07  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* configure.in: fixed indentation of --help output.

2007-12-07  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/pygimp/pygimp-colors.c
	* plug-ins/pygimp/gimpcolormodule.c: removed calls to PyMem_Free().

2007-12-07  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/pygimp/plug-ins/foggify.py: push/pop a context instead
	of manually restoring the background color.

2007-12-07  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/batch.c (batch_run): only show the message about using the
	default batch interpreter when running in verbose mode.

2007-12-05  Martin Nordholts  <martinn@svn.gnome.org>

	Merged from trunk:

	* app/actions/tool-options-commands.c
	(tool_options_save_to_cmd_callback)
	(tool_options_restore_from_cmd_callback): Only care about
	GIMP_CONFIG_PARAM_SERIALIZE properties, fixes bug #498948.

2007-12-04  Michael Natterer  <mitch@gimp.org>

	Merged from trunk:

	* app/core/gimpdrawable.[ch]: added new API
	gimp_drawable_estimate_memsize() and virtual function
	GimpDrawable::estimate_memsize() which estimate the memsize of a
	drawable after scaling/resizing.

	* app/core/gimplayer.c: implement the virtual function and take
	the layer mask into account.

	* app/core/gimpimage-item-list.[ch] (gimp_image_item_list_get_list):
	added const qualifiers.

	* app/core/gimpimage-scale.c (gimp_image_scale_check): use the new
	function to correctly estimate the new size instead of scaling the
	drawables' memsizes including all constant parts. Fixes bug #329468.

2007-12-02  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/common/tiff-load.c (load_image): removed pointless and
	untranslated warning.

2007-12-02  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/jpeg/jpeg-load.c (jpeg_load_resolution): only set the
	resolution if X_density and Y_density are not zero. Otherwise the
	default resolution would be used anyway and the user sees an
	annoying and confusion warning.

2007-12-01  Martin Nordholts  <martinn@svn.gnome.org>

	Merged from trunk:

	* docs/Makefile.am: Applied patch from Jesper de Jong that removes
	an errant leading space in a command. Fixes bug #500826.

2007-11-30  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/core/gimpprojection.c (gimp_projection_idle_render_init):
	raised the idle renderer priority even higher (bug #499150).

2007-11-30  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/base/tile-manager.c (tile_manager_invalidate_area): if no
	tiles have been allocated, there's no need to invalidate any.
	Should fix bug #500178.

2007-11-29  Bill Skaggs  <weskaggs@primate.ucdavis.edu>

	Merged from trunk:

	* plug-ins/Lighting/lighting_ui.c: make sure to update bumpmap
	when combo is changed.  Addresses bug #500317.

2007-11-29  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/core/gimpprojection.c (gimp_projection_idle_render_init):
	raise the priority of the idle renderer to G_PRIORITY_DEFAULT_IDLE.
	Should fix bug #499150.

2007-11-28  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/actions/drawable-commands.c (drawable_flip_cmd_callback):
	fixed orientation type used for linked items (bug #499161).

	* app/core/gimpdrawable-transform.c
	(gimp_drawable_transform_tiles_flip): fixed typo in if condition
	and added more sanity checks.

2007-11-26  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/common/wmf.c: avoid filename encoding problems by not
	using wmf_file_open() but mapping the file into memory with
	GMappedFile. Fixes bug #499329.

2007-11-21  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.4.3 (interface age 3).

2007-11-20  Sven Neumann  <sven@gimp.org>

	* Made 2.4.2 release.

2007-11-20  Michael Natterer  <mitch@gimp.org>

	Merged from trunk:

	* app/widgets/gimpcontainercombobox.c: set the combo insensitive
	when it has no items. Fixes bug #498511.

2007-11-20  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/script-fu/scripts/t-o-p-logo.scm: applied patch from
	Ulf-D. Ehlert that fixes the background color used in the Particle
	Trace filter (bug #498282).

2007-11-19  Tor Lillqvist  <tml@novell.com>

	Merged from trunk:

	* libgimpwidgets/gimpcolorscale.c (gimp_color_scale_render_stipple):
	Don't write past end of buffer (bug #399484).

2007-11-16  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/base/lut-funcs.c (equalize_lut_setup): make sure we don't
	get stuck in a loop if all pixels are transparent (bug #497291).

2007-11-16  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* libgimpconfig/gimpcolorconfig.c: changed default value for using
	the system monitor profile. Many users seem to have broken monitor
	profiles and it's hard to figure out how to fix this (bug #496890).

2007-11-15  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/common/screenshot.c: don't call gimp_edit_clear() if
	the selection mask is empty after selecting the window shape and
	inverting that selection. Fixes bug #493182.

2007-11-15  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/common/tiff-save.c (save_image): fixed bug in colormap
	handling (bug #497103).

2007-11-13  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/core/gimpimage-merge.c (gimp_image_merge_layers): when we
	encounter an unsupported merge operation (merging an opaque
	indexed layer onto an indexed layer with alpha channel), then add
	an alpha channel and try again. Fixes bug #496437.

2007-11-13  Sven Neumann  <sven@gimp.org>

	Fix for bug #494049 (painting doesn't update the histogram),
	merged from trunk:

	* app/paint/gimppaintcore.c: freeze the drawable preview while we
	are painting. Update the drawable instead of the image.

	* app/widgets/gimphistogrameditor.c: use a short timeout instead
	of an idle handler to update the histogram.

2007-11-12  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/core/gimpimage-merge.c (gimp_image_merge_layers): corrected
	the size of the pixel region passed to color_region() in case of
	an indexed image. Fixes bug #495990.

2007-11-12  Michael Natterer  <mitch@gimp.org>

	Merged from trunk:

	* app/display/gimpdisplayshell-callbacks.c
	(gimp_display_shell_ruler_button_press): don't let
	GimpImageMapTools move sample points. They fail badly and leave
	the display in a paused state.

2007-11-12  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/common/tiff-load.c (run): properly handle a failure of
	TIFFFdOpen() instead of crashing on TIFF files we can't handle.

2007-11-12  Michael Natterer  <mitch@gimp.org>

	Merged from trunk:

	* app/display/gimpdisplayshell.c (gimp_display_shell_new): don't
	crash if gimp_display_shell_filter_new() returns NULL.
	Fixes bug #495863.

2007-11-11  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/scripts/script-fu-compat.init: Return a list
	from cons-array when type is 'string.

2007-11-10  Sven Neumann  <sven@gimp.org>

	* app/actions/view-actions.c (view_zoom_explicit_actions): fixed
	incorrect tooltip (bug #495564).

2007-11-10  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/helpbrowser/dialog.c (browser_dialog_make_index_foreach):
	deal gracefully with NULL titles.

2007-11-08  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/display/gimpstatusbar.c (gimp_statusbar_vprintf): also cut
	the message at a '\r' character. Fixes the remaining aspect of
	bug #492718.

2007-11-08  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/display/gimpdisplayshell.c (gimp_display_shell_show_tooltip):
	don't directly pass a message to gimp_statusbar_push(), it expects
	a format string and printf-like varargs. Fixes the crash reported
	in bug #492718.

2007-11-06  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* tools/pdbgen/pdb/plug_in.pdb: improved documentation for
	gimp-plugin-menu-register.

	* app/pdb/plug_in_cmds.c
	* libgimp/gimpplugin_pdb.c: regenerated.

2007-11-05  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/core/gimpimagemap.c (gimp_image_map_clear): update the
	drawable, not the image. This change was missing in the fix for
	bug #490182. Fixes bug #493639.

2007-11-01  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* plug-ins/script-fu/scripts/Makefile.am (scripts):
	* plug-ins/script-fu/scripts/hsv-graph.scm: removed this script.
	Fixes bug #491311.

2007-10-31  Sven Neumann  <sven@gimp.org>

	* README: somehow a leading space sneaked in here; removed it.

2007-10-31  Sven Neumann  <sven@gimp.org>

	Merged from trunk:

	* app/tools/gimprectangletool.c
	(gimp_rectangle_tool_get_constraints): set all return values also
	when bailing out early to avoid valgrind warnings about
	uninitialized memory.

2007-10-31  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.4.2 (interface age 2).

2007-10-31  Sven Neumann  <sven@gimp.org>

	* Made 2.4.1 release.

2007-10-30  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-render.c (box_filter): shift only
	by 4 bits instead of 8. Should still keep us from overflowing 32
	bit integers but reduces the rounding error and seems to really
	fix bug #491503.

2007-10-30  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangleselecttool.c
	(gimp_rect_select_tool_round_corners_notify): Update the selection
	when Rounded corners is toggled or the radius is changed as
	discussed in bug #418284.

2007-10-30  Michael Natterer  <mitch@gimp.org>

	* modules/cdisplay_lcms.c: applied patch from Sven Neumann and
	Marianne Gagnon which adds support for getting the system monitor
	profile on OS/X. Fixes bug #488170.

2007-10-30  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-handlers.c: reverted change that
	was made for bug #490785.

2007-10-30  Sven Neumann  <sven@gimp.org>

	Fix drawing of straight lines using the Shift key and a tablet
	(bug #164240):

	* app/tools/gimppainttool.c (gimp_paint_tool_button_press): set
	use_pressure to FALSE when drawing a straight line.

	* app/paint/gimppaintbrush.c (_gimp_paintbrush_motion): respect
	the use_pressure flag.

2007-10-30  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-render.c (box_filter): reduce
	rounding errors. Fixes bug #491503.

	* app/base/tile-pyramid.c (tile_pyramid_write_quarter): reduce
	rounding errors.

2007-10-29  Sven Neumann  <sven@gimp.org>

	* libgimpcolor/gimpadaptivesupersample.c
	(gimp_adaptive_supersample_area): return with a warning if called
	with NULL render_func or put_pixel_func.

2007-10-29  Sven Neumann  <sven@gimp.org>

	Fix bug #491272 (no cursor drawn for small brush sizes):

	* app/tools/gimpbrushtool.[ch]
	(gimp_brush_tool_draw_brush): don't draw the brush outline if it
	becomes too small. Instead draw a small cross, but only if
	"draw_fallback" was passed as TRUE.
	(gimp_brush_tool_draw_brush): pass TRUE for "draw_fallback" if
	cursor drawing is disabled for the paint tools.

	* app/tools/gimpsourcetool.c (gimp_source_tool_draw): pass FALSE
	for "draw_fallback".

	* app/tools/gimpdrawtool.c (gimp_draw_tool_draw_cross_by_anchor):
	draw a symmetric cross for odd handle sizes.

2007-10-29  Sven Neumann  <sven@gimp.org>

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_coord_on_handle):
	initialize variables to suppress a compiler warning.

2007-10-28  Sven Neumann  <sven@gimp.org>

	* app/pdb/gimppdb.c (gimp_pdb_execute_procedure_by_name): also
	call va_end() in the error cases.

2007-10-28  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpcolorscales.c (gimp_color_scales_set_channel):
	fixed range check.

2007-10-28  Sven Neumann  <sven@gimp.org>

	* libgimpwidgets/gimpscrolledpreview.c
	(gimp_scrolled_preview_nav_button_press): use small-checks for the
	navigation popup and inherit the check-type from the preview.

2007-10-27  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimpwidgets-utils.c (gimp_text_buffer_load): close
	the file handle.

2007-10-27  Sven Neumann  <sven@gimp.org>

	* libgimpbase/gimpmemsize.c (string_to_memsize): don't just crash
	right away if the impossible happens.

2007-10-27  Sven Neumann  <sven@gimp.org>

	* app/dialogs/preferences-dialog.c (prefs_resolution_source_callback):
	g_object_get_data() should always return a size-entry here. Return
	with a warning if it doesn't.

2007-10-27  Sven Neumann  <sven@gimp.org>

	* libgimpconfig/gimpscanner.c (gimp_scanner_parse_color):
	initialize GimpRGB, just to be sure.

2007-10-27  Sven Neumann  <sven@gimp.org>

	* app/display/gimpdisplayshell-handlers.c: removed code that syncs
	the padding color with the default values set in the preferences.
	Fixes bug #490785.

2007-10-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/pnm.c (pnm_load_ascii): fixed handling of
	truncated ascii files. Fixes bug #490827.

2007-10-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/pnm.c: formatting.
	(pnm_load_ascii): 

2007-10-27  Sven Neumann  <sven@gimp.org>

	* plug-ins/common/mkgen.pl: set the svn:ignore property instead of
	writing a .cvsignore file.

2007-10-27  Sven Neumann  <sven@gimp.org>

	* libgimpconfig/gimpcolorconfig.h (struct _GimpColorConfig):
	declared the fields as public so that they show up in the API
	documentation.

2007-10-27  Hans Breuer  <hans@breuer.org>

	* app/base/makefile.msc app/file/makefile.msc app/gimpcore.def
	  app/gui/makefile.msc app/plug-in/makefile.msc
	  libgimpwidgets/makefile.msc : updated msvc build
	* config.h.win32 : add ENABLE_TOOLBOX_MENU, it should only
	vanish on Mac OSX (Quartz build)

2007-10-27  Tor Lillqvist  <tml@novell.com>

	* libgimpbase/gimpenv.c (gimp_toplevel_directory): Drop the Win9x
	code path here, too.

	* libgimpbase/gimpenv.c (gimp_locale_directory): On Windows return
	the pathname in system codepage and not UTF-8.

2007-10-26  Sven Neumann  <sven@gimp.org>

	* app/text/gimptext.c: increased default font size to 24.

2007-10-26  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c (struct GimpRectangleToolPrivate):
	Renamed handle_[wh] to corner_handle_[wh] since that are the
	appropriate names.

2007-10-26  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c (gimp_rectangle_tool_oper_update):
	Use new helper functions to decide if the cursor is on a
	handle (or outside of the rectangle + handle bounds) to ease the
	introduction of having handles on the outside of the pending
	rectangle.
	(gimp_rectangle_tool_coord_outside)
	(gimp_rectangle_tool_coord_on_handle): New helper functions.

2007-10-26  Sven Neumann  <sven@gimp.org>

	* app/pdb/gimpprocedure.c (gimp_procedure_validate_args): don't pass
	NULL strings to gimp_message(). Fixes bug #490617.

2007-10-26  Sven Neumann  <sven@gimp.org>

	Reenabled update of the histogram while doing color corrections
	(bug #490182):

	* app/core/gimpviewable.[ch]: added new methods preview_freeze()
	and preview_thaw().

	* app/core/gimpimagemap.c
	(gimp_image_map_new): freeze the drawable preview.
	(gimp_image_map_dispose): thaw the  drawable preview.
	(gimp_image_map_do): update the drawable, not the image.

	* app/tools/gimpimagemaptool.c (gimp_image_map_tool_response): no
	need to invalidate the drawable preview any longer.

2007-10-26  Michael Natterer  <mitch@gimp.org>

	* app/xcf/xcf-load.c (xcf_load_image_props): never allocate
	image->cmap smaller than GIMP_IMAGE_COLORMAP_SIZE. Fixes bug #490048.

2007-10-26  Sven Neumann  <sven@gimp.org>

	* app/widgets/gimphistogrameditor.c
	(gimp_histogram_editor_layer_changed): connect to
	GimpDrawable::update instead of GimpViewable::invalidate-preview.

2007-10-25  Kevin Cozens  <kcozens@cvs.gnome.org>

	* plug-ins/script-fu/tinyscheme/scheme-private.h
	* plug-ins/script-fu/tinyscheme/scheme.c:
	Allow a maximum of two calls to backchar() needed by the "case '.'"
	part of the switch statement in token(). Fixes bug #490198.

2007-10-25  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c: Aligned static function
	prototypes.

2007-10-25  Martin Nordholts  <martinn@svn.gnome.org>

	* app/tools/gimprectangletool.c: Tiny cosmetic change on the
	ClampedSide enum definition.

2007-10-25  Sven Neumann  <sven@gimp.org>

	* tools/Makefile.am
	* tools/gimp-remote.[ch]
	* tools/gimp-remote-x11.c: split gimp-remote into common and X11
	specific code.

2007-10-25  Michael Natterer  <mitch@gimp.org>

	* configure.in: made all tests consistently use
	'test "x$foo" = xbar' instead of 5 variants of which some were
	broken. Spotted by Peter Breitenlohner, fixes bug #490068.

2007-10-25  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version to 2.4.1 (interface age 1).

2007-10-25  Sven Neumann  <sven@gimp.org>

	* app/plug-in/gimpplugin-message.c (gimp_plug_in_handle_proc_install):
	set the procedure name before parsing the image types.
	Fixes bug #490055.

2007-10-25  Sven Neumann  <sven@gimp.org>

	* app/display/gimpcanvas.c (gimp_canvas_gc_new): use INVERT
	instead of XOR if the xor-color is configured as white.

2007-10-24  Manish Singh  <yosh@gimp.org>

	* plug-ins/common/compose.c
	* plug-ins/common/decompose.c: generate PDB docs from the same
	source as the UI.

2007-10-24  Kevin Cozens  <kcozens@cvs.gnome.org>

	* Makefile.am: Applied patch from Stanislav Brabec which adds
	NEWS.pre-2-4, ChangeLog.pre-2-2 and ChangeLog.pre-2-4 to EXTRA_DIST.
	Fixes bug #489813.

2007-10-24  Simon Budig  <simon@gimp.org>

        * app/display/gimpdisplayshell.h: change the PROJ_ROUND macro
	to do proper rounding. Seems to work well.

2007-10-24  Sven Neumann  <sven@gimp.org>
            Michael Natterer  <mitch@gimp.org>

	* Made 2.4.0 release.
